Export history object collection in specified format for Activation Code Ask AIpost https://yourServer.jamfcloud.com/api/v1/activation-code/history/exportExport history object collection in specified format for Activation CodeQuery Paramsexport-fieldsarray of stringsDefaults to Export fields parameter, used to change default order or ignore some of the response properties. Default is empty array, which means that all fields of the response entity will be serialized. Example: export-fields=id,usernameexport-fieldsADD stringexport-labelsarray of stringsDefaults to Export labels parameter, used to customize fieldnames/columns in the exported file. Default is empty array, which means that response properties names will be used. Number of the provided labels must match the number of export-fields Example: export-labels=identifier,name with matching: export-fields=id,usernameexport-labelsADD stringpageintegerDefaults to 0page-sizeintegerDefaults to 100sortarray of stringsDefaults to date:descSorting criteria in the format: property:asc/desc. Default sort is date:desc. Multiple sort criteria are supported and must be separated with a comma. Example: sort=date:desc,name:ascsort stringADD stringfilterstringQuery in the RSQL format, allowing to filter history notes collection. Default filter is empty query - returning all results for the requested page. Fields allowed in the query: username, date, note, details. This param can be combined with paging and sorting. Example: filter=username!=admin and details==disabled and date<2019-12-15Body ParamsOptional. Override query parameters since they can make URI exceed 2,000 character limit.pageinteger | nullDefaults to 0pageSizeinteger | nullDefaults to 100sortarray of strings | nullDefaults to id:descSorting criteria in the format: [[:asc/desc]. Default direction when not stated is ascending.sort stringADD stringfilterstring | nullfieldsarray of objects | nullUsed to change default order or ignore some of the fields. When null or empty array, all fields will be exported.fieldsADD objectHeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/csvAllowed:application/jsontext/csvResponses 200Export successful 400Export fields specified incorrectly - non-existing column or duplicate on the list. 503Export currently unavailable, all export-related resources are in use. Try again later.Updated 2 months ago